Name: ladspa-pvoc
Version: 0.1.10
Release: alt1
Summary: LADSPA plugins and command line tool for time compression/expansion of sound
Summary(ru_RU.KOI8-R):  LADSPA    /   
License: GPL
Group: Sound
Url: http://quitte.de/dsp/pvoc.html
Packager: Mikhail Yakshin <greycat@altlinux.ru>
Source: pvoc-%version.tar.gz
Patch: pvoc-makefile.patch.gz

# Automatically added by buildreq on Mon May 02 2005
BuildRequires: gcc-c++ libfftw3-devel libsndfile-devel libstdc++-devel pkgconfig ladspa_sdk

%description
pvoc is a collection of LADSPA units and a command line tool for time 
compression/expansion of sound data making use of the phase-vocoding 
technique.
 
Package includes the following plugins:

Exaggerate - exaggerates the spectrum, allowing to emphasize or flatten
spectral peaks.

Transpose - an unsophisticated pitch shifter, offering a range of two
octaves up and down.

Accumulate - spectral accumulation: applies feedback echo to each
analysis channel, with the possibility also to apply a pitch glissando
up or down.

%description -l ru_RU.KOI8-R
pvoc -   LADSPA     
/   ,    
 -      phase-vocoding.

     :

Exaggerate -  ,  ""  
 .

Transpose -   ,   
   2    .

Accumulate -  :   
    ,   
    .

%prep
%setup -n pvoc-%version
%patch -p0

%build
%add_optflags %optflags_shared
export CFLAGS="%optflags"
%make_build

%install
export PREFIX=%buildroot%_prefix
%makeinstall

%files
%doc README COPYING pvoc.html
%_bindir/*
%_mandir/man1/*
%_ladspa_path/*.so

%changelog
* Mon May 02 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.1.10-alt1
- Initial build for Sisyphus

